#include <QtGui>
#include <QtWidgets>

QFont font;

void drawText(QImage::Format format,const QString& fileName, bool textAntialiasing)
{
    QString		str(font.family());
    QImage		img(QSize(2000,5000), format);

    QPainter imgPainter(&img);

    imgPainter.fillRect(QRect(QPoint(0,0),img.size()),QBrush(QColor(255,255,255)));

    imgPainter.setPen(QColor(Qt::black));
    imgPainter.setBrush(QColor(Qt::black));
    imgPainter.setRenderHint(QPainter::TextAntialiasing, textAntialiasing);
    imgPainter.setRenderHint(QPainter::Antialiasing, textAntialiasing);
    imgPainter.setRenderHint(QPainter::HighQualityAntialiasing, textAntialiasing);
    imgPainter.setRenderHint(QPainter::SmoothPixmapTransform, textAntialiasing);

    for(int i=1;i<=40;i++)
    {
        font.setPixelSize(4*i);
        if(!textAntialiasing)
        {
            font.setStyleStrategy(QFont::NoAntialias);
        }
        imgPainter.setFont(font);
        imgPainter.drawText(QRect(QPoint(0,(i-1)*i*4),img.size()), Qt::AlignLeft|Qt::AlignTop, QVariant(4*i).toString()+") "+str);
    }

    img.save(fileName);
    imgPainter.end();
}

int main(int argc, char * argv[])
{
    QApplication app(argc, argv);

    bool ok(false);
    font = QFontDialog::getFont(&ok, QFont("Helvetica [Cronyx]", 10));

    drawText(QImage::Format_RGB888	,"Font-C(A=0).png", false);
    drawText(QImage::Format_RGB888	,"Font-C(A=1).png", true);

    drawText(QImage::Format_Mono	,"Font-M(A=0).png", false);
    drawText(QImage::Format_Mono	,"Font-M(A=1).png", true);

    return 0;
}


